> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tessera.edstratumlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1courses gradebook



## OpenAPI

````yaml /api/openapi.json get /api/v1/courses/{courseId}/gradebook
openapi: 3.1.0
info:
  title: Tessera API
  version: '1'
servers:
  - url: https://tessera.edstratumlabs.ai
    description: Production
security: []
paths:
  /api/v1/courses/{courseId}/gradebook:
    get:
      tags:
        - assignments
      operationId: getGradebook
      parameters:
        - name: courseId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  assignments:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          minLength: 1
                        title:
                          type: string
                          minLength: 1
                        points:
                          type: number
                          minimum: 0
                        dueAt:
                          anyOf:
                            - type: string
                              minLength: 1
                            - type: 'null'
                      required:
                        - id
                        - title
                        - points
                        - dueAt
                      additionalProperties: false
                  rows:
                    type: array
                    items:
                      $ref: '#/components/schemas/GradebookRow'
                required:
                  - assignments
                  - rows
                additionalProperties: false
        '400':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '401':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '403':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '404':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '409':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '429':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    GradebookRow:
      type: object
      properties:
        student:
          type: object
          properties:
            id:
              type: string
              minLength: 1
            name:
              type: string
              minLength: 1
            email:
              type: string
              minLength: 1
              format: email
              pattern: >-
                ^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
          required:
            - id
            - name
            - email
          additionalProperties: false
        cells:
          type: array
          items:
            type: object
            properties:
              assignmentId:
                type: string
                minLength: 1
              score:
                anyOf:
                  - type: number
                    minimum: 0
                  - type: 'null'
              state:
                type: string
                enum:
                  - submitted
                  - graded
                  - returned
                  - missing
              released:
                type: boolean
            required:
              - assignmentId
              - score
              - state
              - released
            additionalProperties: false
        total:
          type: number
          minimum: 0
        possible:
          type: number
          minimum: 0
      required:
        - student
        - cells
        - total
        - possible
      additionalProperties: false
    ApiErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              enum:
                - unauthenticated
                - forbidden
                - not-found
                - invalid
                - conflict
                - not-ready
                - ai-disabled
                - ai-failed
                - rate-limited
                - too-large
                - unsupported
            message:
              type: string
            details: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Scoped tsk_… API token or Access JWT

````